Org Explorer
sfp server API reference for Org Explorer: 8 endpoints.
/sfp/api/orgs/explorer/componentsAuthorization
access-token In: header
Query Parameters
Repository identifier (e.g., owner/repo)
Salesforce org username
Metadata type (e.g., ApexClass, CustomObject)
Member name
If true, triggers an async refresh and returns pending status
falseResponse Body
curl -X GET "https://example.com/sfp/api/orgs/explorer/components?repositoryIdentifier=string&orgUsername=string&metadataType=string&memberName=string"/sfp/api/orgs/explorer/components/listAuthorization
access-token In: header
Query Parameters
Salesforce org username
Filter by metadata type
Response Body
curl -X GET "https://example.com/sfp/api/orgs/explorer/components/list?orgUsername=string"/sfp/api/orgs/explorer/metadataAuthorization
access-token In: header
Query Parameters
Repository identifier (e.g., owner/repo)
Salesforce org username
Response Body
curl -X GET "https://example.com/sfp/api/orgs/explorer/metadata?repositoryIdentifier=string&orgUsername=string"/sfp/api/orgs/explorer/metadata/refreshAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/orgs/explorer/metadata/refresh" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "string", "orgUsername": "string" }'/sfp/api/orgs/explorer/internal/componentsAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/orgs/explorer/internal/components" \ -H "Content-Type: application/json" \ -d '{ "orgUsername": "string", "metadataType": "string", "memberName": "string", "sourceData": [ { "fileName": "string", "fullName": "string", "type": "string", "fileContent": "string", "state": "string" } ] }'/sfp/api/orgs/explorer/internal/components/batchAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/orgs/explorer/internal/components/batch" \ -H "Content-Type: application/json" \ -d '{ "orgUsername": "string", "components": [ { "metadataType": "string", "memberName": "string", "sourceData": [ { "fileName": "string", "fullName": "string", "type": "string", "fileContent": "string", "state": "string" } ] } ] }'/sfp/api/orgs/explorer/internal/components/manifest-batchAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/orgs/explorer/internal/components/manifest-batch" \ -H "Content-Type: application/json" \ -d '{ "orgUsername": "string", "components": [ { "metadataType": "string", "memberName": "string", "sourceData": [ { "fileName": "string", "fullName": "string", "type": "string", "state": "string", "objectKey": "string", "contentType": "string", "sizeBytes": 0, "sha256": "string", "fetchedAt": "string" } ] } ] }'/sfp/api/orgs/explorer/internal/metadata-syncAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/orgs/explorer/internal/metadata-sync" \ -H "Content-Type: application/json" \ -d '{ "orgUsername": "string", "typeNames": [ "string" ], "syncedAt": "string", "duration": 0, "typesCount": 0, "componentsCount": 0, "filesRetrieved": 0, "failedTypes": [ "string" ] }'